setFuncTimings {arf3DS4} | R Documentation

## Set the timings of the stimuli and link to raw time-series.

### Description

Set the timings of the stimuli (i.e. single trials) and link these timings to raw time-series. For each run of each condition the timinigs of when trials were presented must be given for ARF to determine the single-trial data.

### Usage

    setFuncTimings(subject, condition, run, timings, func_data = NULL,
     experiment = NULL)

### Arguments

`subject` | Name of the subject.
`condition` | Name of the condition.
`run` | Which run, can be numeric or a filename.
`timings` | A vector with timings (in seconds), possibly with an attribute `stimlen` (vector of stimulus lengths).
`func_data` | Name of the raw time-series datafile (located in the /subject/funcs directory).
`experiment` | An optional experiment object.

### Details

An object of class `functional` is also saved in the appropriate directory.

### Value

Returns an object of class `functional`.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`functional`, `experiment`, `makeSingleTrialEvents`

[Package arf3DS4 version 2.5-10 Index]